
#ifndef mgl_uniform_glsl
#define mgl_uniform_glsl

#include es_precision.glsl

#include mgl_const.glsl

uniform         mat4    mgl_PMVMatrix[4]; // P, Mv, Mvi and Mvit (transpose(inverse(ModelView)) == normalMatrix)
uniform LOWP    int     mgl_ColorEnabled;
uniform         vec4    mgl_ColorStatic;

uniform LOWP    int     mgl_TextureEnabled;
uniform LOWP    int     mgl_TexCoordEnabled;
uniform LOWP    int     mgl_TexEnvMode;
uniform LOWP    int     mgl_TexFormat;
uniform   sampler2D     mgl_Texture;

#endif // mgl_uniform_glsl
